MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003368ATutorContentpublic2008-04-30 10:092008-08-21 08:55
Reportercindy 
Assigned Tocindy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.1 
Summary0003368: Support customized html head information: styles and javascript
DescriptionThis originates from supporting styles and javscript in the content created by eXe. The problem is extended to allow users to add in their own styles and javascripts in html head.

This change affects content import/export/display/edit, backup create/restore
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002849)
cindy (administrator)
2008-04-30 10:11

Change Detail:

* Database changes:

ALTER TABLE `content`
ADD head TEXT NOT NULL AFTER release_date,
ADD use_customized_head TINYINT(4) NOT NULL AFTER head;

INSERT INTO `language_text` VALUES ('en', '_template', 'customized_head', 'Customized Head', now(), '');
INSERT INTO `language_text` VALUES ('en', '_template', 'edit_customized_head', 'Edit Customized Head', now(), '');
INSERT INTO `language_text` VALUES ('en', '_template', 'hide_customized_head', 'Hide Customized Head', now(), '');
INSERT INTO `language_text` VALUES ('en', '_template', 'use_customized_head', 'Use Customized Head', now(), '');
INSERT INTO `language_text` VALUES ('en', '_template', 'customized_head_note', 'Edit your own style and javascript', now(), '');

* Script Changes:

1. import/export content
include/vital.inc.php add function get_html_head_by_tag
include/ims/ims_template.inc.php insert customized header into content page, export customized .css & .js
tools/ims/ims_import.php add insertion for customized head info (stylesheet, javascript)

2. display content
exestyles.css stylesheet solely for eXe
content.php pass customized head into template
tools/ims/ims_import.php replace eXe style sheets with exestyles.css
themes/default/include/header.tmpl.php display custom head

3. add section of "Edit Customized Head" in content page
include/html/editor_tabs/edit.inc.php add "edit head" section
editor/edit_content.php for "edit head" section
include/lib/editor_tab_functions.inc.php save_changes(), save head information
include/classes/ContentManager.class.php editContent(), addContent(), getContentPage() check_for_changes() get/save head information

4. create/restore backup
mods/_core/content/module_backup.php add save on head / use_customized_head information

5. at "Create Content" page, when import content by uploading a html file, also import <style> and <javascript>
include/lib/editor_tab_functions.inc.php paste_from_file(), import <style> and <javascript>
(0002875)
cindy (administrator)
2008-05-07 06:18

At "Create Content" page, when import content from an uploaded html file, also import <link> info in html head.
(0002876)
cindy (administrator)
2008-05-07 06:22

Affected scripts:

include/lib/editor_tab_functions.inc.php paste_from_file(), also import <link>
include/vital.inc.php handle imported tags that close with </tag> or /> as tags <script>, <style> close using </script>, </style> while <link> closes using />

- Issue History
Date Modified Username Field Change
2008-04-30 10:09 cindy New Issue
2008-04-30 10:09 cindy Affects version => SVN
2008-04-30 10:10 cindy Assigned To => cindy
2008-04-30 10:10 cindy Status new => assigned
2008-04-30 10:11 cindy Status assigned => resolved
2008-04-30 10:11 cindy Fixed in Version => 1.6.1
2008-04-30 10:11 cindy Resolution open => fixed
2008-04-30 10:11 cindy Note Added: 0002849
2008-05-07 06:18 cindy Status resolved => feedback
2008-05-07 06:18 cindy Resolution fixed => reopened
2008-05-07 06:18 cindy Note Added: 0002875
2008-05-07 06:22 cindy Status feedback => resolved
2008-05-07 06:22 cindy Resolution reopened => fixed
2008-05-07 06:22 cindy Note Added: 0002876
2008-08-21 08:55 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker